- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDForceField Class Reference
[COLLADA Document Object Model.]

A COLLADA physics force field. More...

`#include <FCDForceField.h>`

Inheritance diagram for FCDForceField:

List of all members.

## Public Member Functions
| FCDForceField (FCDocument *document)
| Constructor.
virtual | ~FCDForceField ()
| Destructor.
FCDExtra * | GetInformation ()
| Retrieves the extra tree for all the force field information.
const FCDExtra * | GetInformation () const
void | SetInformation (FCDExtra *info)
| [INTERNAL] Set the information.
virtual Type | GetType () const
| Retrieves the entity class type.
virtual FCDEntity * | Clone (FCDEntity *clone=NULL, bool cloneChildren=false) const
| Clones the force field information.

## Detailed Description

A COLLADA physics force field.

This class does not have any parameters in the COMMON profile. You can use the custom extra tree to enter/retrieve your specific customized information.

## Constructor & Destructor Documentation

FCDForceField::FCDForceField | ( | FCDocument * | document | ) |

  | Constructor. Parameters:
  | document | The COLLADA document that owns the force field.

## Member Function Documentation

virtual FCDEntity* FCDForceField::Clone | ( | FCDEntity * | clone = `NULL`,
|  | bool | cloneChildren = `false`
| ) | const`[virtual]`

  | Clones the force field information. Parameters:
  | clone | The cloned force field. If this pointer is NULL, a new force field is created and you will need to release it manually.
  | cloneChildren | Whether to recursively clone this entity's children.
Returns: The clone. Reimplemented from FCDEntity.

FCDExtra* FCDForceField::GetInformation | ( |  | ) | `[inline]`

| Retrieves the extra tree for all the force field information. Returns: The extra tree.

virtual Type FCDForceField::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the entity class type. Returns: The entity class type: FORCE_FIELD Reimplemented from FCDEntity.

void FCDForceField::SetInformation | ( | FCDExtra * | info | ) | `[inline]`

  | [INTERNAL] Set the information. Parameters:
  | info | The new information to set.

The documentation for this class was generated from the following file:

- FCDocument/FCDForceField.h